## org.eclipse.m2m.atl.engine.vm
Class ASMInterpreterException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.eclipse.m2m.atl.engine.vm.ASMInterpreterException

All Implemented Interfaces:
  java.io.Serializable

    public class ASMInterpreterException

extends java.lang.Exception

See Also:
  Serialized Form

Constructor Summary
`ASMInterpreterException()`
`ASMInterpreterException(java.lang.String arg0)`
`ASMInterpreterException(java.lang.String arg0, java.lang.Throwable arg1)`
`ASMInterpreterException(java.lang.Throwable arg0)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ASMInterpreterException

    public ASMInterpreterException()

### ASMInterpreterException

    public ASMInterpreterException(java.lang.String arg0)

### ASMInterpreterException

    public ASMInterpreterException(java.lang.Throwable arg0)

### ASMInterpreterException

    public ASMInterpreterException(java.lang.String arg0,
                                   java.lang.Throwable arg1)

Copyright 2007 IBM Corporation and others. All Rights Reserved.